Bug 2239167 - [REBASE: EPEL9] update novnc to 1.4.0 in epel9
Summary: [REBASE: EPEL9] update novnc to 1.4.0 in epel9
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: novnc
Version: epel9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jonathan Wright
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2239160
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-09-15 16:49 UTC by Pat Riehecky
Modified: 2023-09-24 03:27 UTC (History)
6 users (show)

Fixed In Version: novnc-1.4.0-1.el9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 2239160
Environment:
Last Closed: 2023-09-24 03:27:03 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Pat Riehecky 2023-09-15 16:49:08 UTC
+++ This bug was initially created as a clone of Bug #2239160 +++

Description of problem:
Can novnc be upgraded to 1.4.0 in Fedora

Version-Release number of selected component (if applicable): 1.3.0-7.fc39


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from Fedora Update System on 2023-09-15 16:19:12 UTC ---

FEDORA-2023-2eff3715df has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-2eff3715df

--- Additional comment from Fedora Update System on 2023-09-15 16:22:35 UTC ---

FEDORA-2023-2eff3715df has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 1 Jonathan Wright 2023-09-15 16:58:29 UTC
I'm not totally sure if we can do this.  1.4.0 contains what could be a breaking-change (requiring HTTPS).

Comment 2 Pat Riehecky 2023-09-15 18:02:14 UTC
I see "Secure context (https) is now required" in the release tag, but I didn't find a corresponding commit that enforces this....  I'm not saying its not true, but rather I'm not sure how to assess the impact without reviewing the patch.

Comment 3 Jonathan Wright 2023-09-15 18:38:41 UTC
Yeah that's what I saw.  If you can help me get to the bottom of what that means exactly it'd be a big help.  I don't have time at the moment to dig into the source to try and figure it out.

If that's not a breaking change I'll definitely update to 1.4.0 in EPEL9.

Comment 4 Pat Riehecky 2023-09-15 19:22:44 UTC
I found the first pointer : https://github.com/novnc/noVNC/commit/cdfb33665195eb9a73fb00feb6ebaccd1068cd50 but not sure what it means exactly...

Comment 5 Jonathan Wright 2023-09-15 19:34:46 UTC
I think it boils down to poor wording in the changelog.  It's not that noVNC is requiring secure connections for anything but most of what it's a wrapper for is, so they added warnings.

I looked around the source and nothing blocks connections or drops functionality.  I'll go ahead and build 1.4.0 in EPEL9.

Comment 6 Fedora Update System 2023-09-15 19:46:02 UTC
FEDORA-EPEL-2023-80804a1ff8 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-80804a1ff8

Comment 7 Fedora Update System 2023-09-16 02:02:10 UTC
FEDORA-EPEL-2023-80804a1ff8 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-80804a1ff8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-09-24 03:27:03 UTC
FEDORA-EPEL-2023-80804a1ff8 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.